Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.draw
Enum OdfTextPathModeType

    java.lang.Object
      java.lang.Enum<OdfTextPathModeType>
          org.odftoolkit.odfdom.dom.type.draw.OdfTextPathModeType

All Implemented Interfaces:
  Serializable, Comparable<OdfTextPathModeType>

    public enum OdfTextPathModeType

extends Enum<OdfTextPathModeType>

DOM implementation of OpenDocument attribute draw:text-path-mode.

Enum Constant Summary
`NORMAL`
`PATH`
`SHAPE`

Method Summary
`static OdfTextPathModeType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfTextPathModeType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfTextPathModeType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfTextPathModeType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SHAPE

    public static final OdfTextPathModeType SHAPE

### PATH

    public static final OdfTextPathModeType PATH

### NORMAL

    public static final OdfTextPathModeType NORMAL

Method Detail

### values

    public static OdfTextPathModeType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfTextPathModeType c : OdfTextPathModeType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfTextPathModeType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfTextPathModeType>`
  Returns:
    return the name of OdfTextPathModeType

### toString

    public static String toString(OdfTextPathModeType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfTextPathModeType, see draw:text-path-mode
  Returns:
    return the name of OdfTextPathModeType

### enumValueOf

    public static OdfTextPathModeType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfTextPathModeType
  Returns:
    return the constant of OdfTextPathModeType, see draw:text-path-mode

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.